From b19ec410cae70c640925725e6d2f5b701f04159b Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jan 05 2021 14:18:39 +0000
Subject: [PATCH 1/8] libre/iceweasel: 84.0.1 from upstreams, update patches


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 24f639c..17fa64c 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -44,10 +44,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=81.0.2
+pkgver=84.0.1
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=80.0
+_brandingver=84.0
 _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 arch=(x86_64)
@@ -70,9 +70,6 @@ replaces=('firefox')
 options=(!emptydirs !makeflags !strip)
 source=(https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
         0001-Use-remoting-name-for-GDK-application-names.patch
-        0002-Bug-1660901-Support-the-fstat-like-subset-of-fstatat.patch
-        0003-Bug-1660901-ignore-AT_NO_AUTOMOUNT-in-fstatat-system.patch
-        0004-Bug-1663715-Update-syn-and-proc-macro2-so-that-Firef.patch
         $pkgname.desktop)
 source+=(https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-${_brandingrel}.branding.tar.xz{,.sig}
          libre.patch
@@ -82,7 +79,7 @@ source_armv7h=(arm.patch
                build-arm-libopus.patch)
 source_i686=('avoid-libxul-OOM-python-check.patch'
              'rust-static-disable-network-test-on-static-libraries.patch')
-sha256sums=('91b6482de9b193b19d1fd9a8b99015a001646a48429297bbb7fe41784f9f9b44'
+sha256sums=('ae5500d270a199f9a10674fbd4ba7a6beac1f260a4c009bbca8ea39967592243'
             'SKIP'
             'e0eaec8ddd24bbebf4956563ebc6d7a56f8dada5835975ee4d320dd3d0c9c442'
             'c2489a4ad3bfb65c064e07180a1de9a2fbc3b1b72d6bc4cd3985484d1b6b7b29'
@@ -117,14 +114,6 @@ prepare() {
   # https://bugzilla.mozilla.org/show_bug.cgi?id=1530052
   patch -Np1 -i ../0001-Use-remoting-name-for-GDK-application-names.patch
 
-  # https://bugs.archlinux.org/task/67978
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=1660901
-  patch -Np1 -i ../0002-Bug-1660901-Support-the-fstat-like-subset-of-fstatat.patch
-  patch -Np1 -i ../0003-Bug-1660901-ignore-AT_NO_AUTOMOUNT-in-fstatat-system.patch
-
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=1663715
-  patch -Np1 -i ../0004-Bug-1663715-Update-syn-and-proc-macro2-so-that-Firef.patch
-
   cat >../mozconfig <<END
 ac_add_options --enable-application=browser
 mk_add_options MOZ_OBJDIR=${PWD@Q}/obj
@@ -201,7 +190,7 @@ END
     ;;
     i686)
       # disable LTO and use gcc toolchain (clang has issues on IA32)
-      # disable SIMD (SSE20 for i686)
+      # disable SIMD (SSE2 for i686)
       export MOZ_SOURCE_CHANGESET="DEVEDITION_${pkgver//./_}_RELEASE"
       cat >>../mozconfig <<END
 ac_add_options --disable-linker=lld
